setup.getConsumable ??= function(id){
	return Object.assign(
		{
			type: 'meal',
			time: 15,
			hunger: 50,
			energy: 1,
			thirst: Infinity,
			price: 0,
			costItems:[],
			repeat: null,
			desc: '',
			label: id
		}
		,setup.consumables[id] ?? {});
}

setup.consumables ??= {};